Subject: Re: [PATCH] git-p4: import the ctypes module

From: Luke Diamand <[email-masked]>
Date: Wed, 21 Oct 2015 00:00:44 +0100

On 20/10/15 20:36, Junio C Hamano wrote:
> Dennis Kaarsemaker <[email-masked]> writes:
>
>>> I do not follow Python development, but does the above mean that
>>> with recent 2.x you can say ctypes without first saying "import
>>> ctypes"?  It feels somewhat non-pythonesque that identifiers like
>>> this is given to you without you asking with an explicit 'import',
>>> so I am puzzled.
>>
>> No, you cannot do that. The reason others may not have noticed this bug is that
>> in git-p4.py, ctypes is only used on windows.
>>
>>   111     if platform.system() == 'Windows':
>>   112         free_bytes = ctypes.c_ulonglong(0)
>>   113         ctypes.windll.kernel32.GetDiskFreeSpaceExW(ctypes.c_wchar_p(os.getcwd()), None, None, ctypes.pointer(free_bytes))
>>
>> The fact that it works for the OP with 2.7.10 is puzzling (assuming that it's
>> on the same system).
>
> Exactly.  That is where my "I am puzzled" comes from.
>
> The patch looks obviously the right thing to do.  Luke?  Lars?

It looks sensible to me, and works fine on Linux, thanks. ack.

I can't test on Windows today but I can't see why it wouldn't work.

Luke